Multiple vulnerabilities in Stream Analytics



Published: 2020-07-15
Risk High
Patch available YES
Number of vulnerabilities 2
CVE-ID CVE-2019-14379CVE-2019-0222
CWE-ID CWE-20
CWE-400
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Stream Analytics
Web applications / Other software

Vendor Oracle

Security Bulletin

This security bulletin contains information about 2 vulnerabilities.

1) Improper input validation

EUVDB-ID: #VU28624

Risk: High

CVSSv3.1:

CVE-ID: CVE-2019-14379

CWE-ID: CWE-20 - Improper Input Validation

Exploit availability: No

Description

The vulnerability allows a remote non-authenticated attacker to execute arbitrary code.

The vulnerability exists due to improper input validation within the Core (jackson-databind) component in Primavera Unifier. A remote non-authenticated attacker can exploit this vulnerability to execute arbitrary code.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Stream Analytics: 19.1.0.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpujul2020.html?904622

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?

2) Resource exhaustion

EUVDB-ID: #VU19300

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2019-0222

CWE-ID: CWE-400 - Resource exhaustion

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to an error when processing corrupt MQTT frames. A remote attacker can consume all memory resources on the system and perform a denial of service (DoS) attack.

Mitigation

Install update from vendor's website.

Vulnerable software versions

Stream Analytics: 19.1.0.0.0


CPE2.3 External links

http://www.oracle.com/security-alerts/cpujul2020.html?904622

Q & A

Can this vulnerability be exploited remotely?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###